Skip to main content
GET
Get booking

Authorizations

Authorization
string
header
required

Your brand's secret API key, e.g. Bearer way_sk_live_bhEqcn0i1fRoUEHBPjJkQA. Older Way-Brand-Id + Way-Secret-Key credentials still work: see Legacy authentication.

Path Parameters

bookingId
string
required

The booking's ID.

Response

200 - application/json

Booking details.

id
string
required

Booking ID.

Example:

"booking-123"

eventId
string
required

Event ID.

Example:

"event-456"

amount
number
required

Total booking amount.

Example:

250

experiencePaidAmount
number
required

Amount paid for experience.

Example:

200

experienceRefundedAmount
number
required

Amount refunded for experience.

Example:

50

currency
string
required

Currency of the transaction.

Example:

"USD"

amountRefunded
number
required

Total amount refunded.

Example:

50

date
string
required

Booking date in ISO format.

Example:

"2024-03-15"

confirmationCode
string
required

Confirmation code for the booking.

Example:

"CONFIRM12345"

status
enum<string>
required

Booking status.

Available options:
confirmed,
refunded,
processing,
failed,
cancelled
Example:

"confirmed"

sessionDate
string
required

Session date in ISO format.

Example:

"2024-03-20"

sessionDuration
number
required

Session duration in minutes.

Example:

90

isCancelled
boolean
required

Indicates if the booking was cancelled.

Example:

false

isPartiallyCancelled
boolean
required

Indicates if the booking was partially cancelled.

Example:

false

createdAt
string
required

Date when the booking was created.

Example:

"2024-03-10T12:00:00Z"

experience
object
required

Details of the booked experience.

customer
object
required

Details of the customer.

purchaser
object
required

Details of the purchaser.